Bug 24000 - Kernel 2.4.0 freezes on boot
Kernel 2.4.0 freezes on boot
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-14 15:03 EST by Bryan Headley
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-15 06:46:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Headley 2001-01-14 15:03:05 EST
Built standard tarball 2.4.0 with ncr53c8xx scsi driver. There is IDE
controller but no IDE drives (only SCSI). Built with modutils-2.4.0.
During boot-up, gets to the point of looking for IDE, then message about
unable to mount root_fs. Message shortly thereafter says it loaded the
ncr53c8xx driver.

Must assume that VFS code is not loading all potential disc controller
modules before attempting initial mount, and will take a look versus 2.2

1. Have done the mkinitrd/lilo steps
2. /etc/modules.conf:
alias scsi_hostadapter ncr53c8xx
alias eth0 old_tulip
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 sb
options sound dmabuf=1
options opl3 io=0x388
alias midi awe_wave
post-install awe_wave /bin/sfxload /etc/midi/GU11-ROM.SF2
options sb io=0x240 irq=7 dma=0 dma16=6 mpu_io=0x300
3. Can send kernel build's .config file or /lib/modules/*/modules.dep on
4. Same behaviour, kgcc or gcc 2.96
Comment 1 Arjan van de Ven 2001-01-15 06:46:03 EST
You need to either compile the scsi-driver into the kernel, or include it in an
initrd image and have lilo load it.
Comment 2 Doug Ledford 2001-01-31 00:37:13 EST
This isn't a bug in a Red Hat kernel, so I'm closing this ticket out.  We don't
support users compiling their own kernels because it would be too time consuming
on our resources when you consider how complex a kernel build is to get
completely right and how many people there are that have never done it before
and would need hand holding to get through the process.

Now, having said the appropriate disclaimer so I'm not sucked into a 4 page
dissertation on the problem, the description you gave makes it sound like the
ncr53c8xx module on the initrd is bad.  Most likely, the initrd was loaded, you
got the message from the linuxrc script on the initrd image stating that it was
loading the ncr53c8xx module, but then never got any kernel messages from the
ncr driver and then the machine failed to load the root fs and it hung.  If
that's a correct description, then your initrd image is bad.  You can either
compile the ncr driver directly into the kernel (the easy way to make sure
things go right) or you can double back and redo the make modules; make
modules_install steps on your kernel sources and then redo the mkinitrd step,
likely making sure it is built by using the -f and -v flags to mkinitrd and
visually observing that it does the right thing, then run lilo (verify all the
file names in the lilo.conf file if needed) and then try again.

Note You need to log in before you can comment on or make changes to this bug.